com.taosdata.jdbc.tmq

## Class ConsumerRecord<V>

- java.lang.Object
- - com.taosdata.jdbc.tmq.ConsumerRecord<V>

    public class ConsumerRecord<V>
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ConsumerRecord.Builder<V>`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDbName()`
`TmqMessageType` `getMessageType()`
`Meta` `getMeta()`
`long` `getOffset()`
`String` `getTopic()`
`int` `getVGroupId()`
`V` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTopic

    public String getTopic()

#### getDbName

    public String getDbName()

#### getVGroupId

    public int getVGroupId()

#### value

    public V value()

#### getOffset

    public long getOffset()

#### getMessageType

    public TmqMessageType getMessageType()

#### getMeta

    public Meta getMeta()